from django.urls import path
from .views import index, BookListView, BookDetailView, AuthorListView, AuthorDetailView, AuthorCreateView, AuthorUpdateView, BookUpdateView, BookCreateView


urlpatterns = [
    path('home/', index, name='home'),
    path('books/', BookListView.as_view(), name="book_list"),
    path('books/<int:pk>/details', BookDetailView.as_view(), name="book_detail"),
    path('authors/', AuthorListView.as_view(), name="author_list"),
    path('authors/<int:pk>/details', AuthorDetailView.as_view(), name="author_detail"),
    path('authors/add/', AuthorCreateView.as_view(), name="new_author"),
    path('authors/<int:pk>/edit', AuthorUpdateView.as_view(), name="edit_author"),
    path('books/add/', BookCreateView.as_view(), name="new_book"),
    path('books/<int:pk>/edit', BookUpdateView.as_view(), name="edit_book"),

]
